> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Auth

> Retrieves authentication data for a specific integration for a user.

Returns the authentication data if available, along with authentication status.
Includes token refresh handling if needed.



## OpenAPI

````yaml get /user/{userId}/auth/{serverName}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /user/{userId}/auth/{serverName}:
    get:
      tags:
        - user
      summary: Get User Auth
      description: >-
        Retrieves authentication data for a specific integration for a user.


        Returns the authentication data if available, along with authentication
        status.

        Includes token refresh handling if needed.
      operationId: getUserAuth
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            description: The identifier for the user
            title: Userid
          description: The identifier for the user
        - name: serverName
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/McpServerName'
            description: The name of the MCP server (e.g., 'GitHub', 'Jira')
          description: The name of the MCP server (e.g., 'GitHub', 'Jira')
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserAuthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    McpServerName:
      type: string
      enum:
        - Affinity
        - Airtable
        - Amplitude
        - Asana
        - Attio
        - Box
        - Brave Search
        - Cal.com
        - Canva
        - ClickUp
        - Close
        - Cloudflare
        - Coinbase
        - Confluence
        - Dialpad
        - Discord
        - Doc2markdown
        - DocuSign
        - Dropbox
        - ElevenLabs
        - Exa
        - Fathom
        - Fetch URL
        - Figma
        - Fireflies
        - Firecrawl Deep Research
        - Firecrawl Web Search
        - Freshdesk
        - GitHub
        - GitLab
        - Gmail
        - Gong
        - Google Calendar
        - Google Docs
        - Google Drive
        - Google Jobs
        - Google Sheets
        - Google Forms
        - Google Cloud
        - GoogleWorkspaceAtlas
        - Hacker News
        - Heygen
        - HubSpot
        - Intercom
        - Jira
        - Klaviyo
        - Klavis ReportGen
        - Linear
        - LinkedIn
        - Markdown2doc
        - Mem0
        - Microsoft Teams
        - Mixpanel
        - Monday
        - Moneybird
        - Motion
        - Notion
        - OneDrive
        - Openrouter
        - Outlook Mail
        - Outlook Calendar
        - PagerDuty
        - Pipedrive
        - Plai
        - Postgres
        - PostHog
        - Postman
        - QuickBooks
        - Resend
        - Salesforce
        - SendGrid
        - Shopify
        - Slack
        - Snowflake
        - Stripe
        - Supabase
        - Tavily
        - Vercel
        - WhatsApp
        - WordPress
        - YouTube
        - Zendesk
        - ServiceNow
        - PayPal
        - Sentry
        - Netlify
        - Hugging Face
        - Square
        - Clockwise
        - Jotform
        - Honeycomb
        - Zoho Mail
        - Sharesight
        - Weights and Biases
        - Instagram
        - MongoDB
      title: McpServerName
    GetUserAuthResponse:
      properties:
        success:
          type: boolean
          title: Success
        userId:
          type: string
          title: Userid
          description: The user identifier
        serverName:
          type: string
          title: Servername
          description: The name of the server
        authData:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: GetUserAuthResponseAuthData
          description: The authentication data if available
        isAuthenticated:
          type: boolean
          title: Isauthenticated
          description: Whether the server has authentication data configured
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - success
        - userId
        - serverName
        - isAuthenticated
      title: GetUserAuthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````